%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-q-io
Version:    1.9.4
Release:    2%{?dist}
Summary:    Interfaces for IO using Q promises in JavaScript on Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/kriskowal/q-io
Source0:    http://registry.npmjs.org/q-io/-/q-io-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(q)
BuildRequires:  npm(jasmine-node)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep collections '~0.1.21'
%nodejs_fixdep qs '~0.6'
%nodejs_fixdep url2 '~1.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/q-io
# fs-boot was previously a separate module but has now been merged into q-io.
# The fs-boot website (https://github.com/kriskowal/fs-boot) has this advice:
#   -- "Out of service — Please use Q-IO instead"
cp -pr package.json \
    buffer-stream.js fs2http.js fs.js fs-boot.js fs-common.js fs-mock.js \
    fs-root.js http-apps/ http-apps.js http-cookie.js http.js reader.js writer.js \
    %{buildroot}%{nodejs_sitelib}/q-io

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/jasmine-node/bin/jasmine-node spec
%endif


%files
%doc CHANGES LICENSE README.md
%{nodejs_sitelib}/q-io


%changelog
* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.4-2
- fix versioned dependency on npm(collections)

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.4-1
- update to upstream release 1.9.4

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.1-3
- fix versioned dependency on npm(url2)

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.1-2
- restrict to compatible arches

* Thu Jun 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.9.1-1
- update to upstream release 1.9.1

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.3-1
- update to upstream release 1.7.3

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.6.6-1
- update to upstream release 1.6.6

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5.2-1
- initial package
